XFCE aur package missing - orage

Hello EOS community, found a strange message today updating my system.

marcelo@linux ~]$ LANG=C yay -Syyu
:: Synchronizing package databases...
 core                                                                                                              133,7 KiB  2,78 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 extra                                                                                                            1641,6 KiB  8,14 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 community                                                                                                           5,3 MiB  8,58 MiB/s 00:01 [----------------------------------------------------------------------------------------] 100%
 multilib                                                                                                          152,1 KiB  14,9 MiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
 endeavouros                                                                                                        14,8 KiB  67,1 KiB/s 00:00 [----------------------------------------------------------------------------------------] 100%
:: Starting full system upgrade...
warning: openvpn: ignoring package upgrade (2.4.9-2 => 2.5.0-3)
 there is nothing to do
:: Searching databases for updates...
:: Searching AUR for updates...
 -> openvpn: ignoring package upgrade (2.4.9-2 => 2.5.0-3)
 -> Missing AUR Packages:  orage   <<<<<<<<<<<
 there is nothing to do

Tried to install this package, but found that orage is already installed and there are some dependencies, so I cancelled it.

[marcelo@linux ~]$ LANG=C yay -S orage-4.10
:: Checking for conflicts...
:: Checking for inner conflicts...
 -> 
Package conflicts found:
 -> Installing orage-4.10 will remove: orage
 -> Conflicting packages will have to be confirmed manually
[Repo Make:1]  intltool-0.51.0-6
[Aur:1]  orage-4.10-4.10.0-2

==> Remove make dependencies after install? [y/N] ^C

Package seems to be related to xfce4-goodies:
Reference: https://wiki.archlinux.org/index.php/list_of_applications

https://aur.archlinux.org/packages/orage-4.10/

I actually don’t use calendar in XFCE, I use thunderbird calendar, and regarding task manager, it’s working normally. Should I do something or just ignore it?

Xfce went through an update and orage is probably no longer a part of Xfce group.

If you don’t use orage, you can remove that. I have uninstalled it.

Side note: looks like orage is no longer maintained.

3 Likes

I can’t find any reference to orage as a package in the repos or in the AUR (there aren’t any removal requests from the past few months) - where did you get this from, and when did you last update your system?

1 Like

Thanks for answering flyingcakes, and thanks for the link too
Hello jonathon, first boot today, through the welcome app, I just clicked update system.

I’ve been updating my system in a daily basis, yesterday I didn’t get this message.

It seems that I’m not the only one with this message, based on flyingcakes answer

2 Likes

Orage comes pre installed with Xfce on EnOS. Atleast it did when I installed EnOS on my pc in March.

2 Likes

I haven’t got the message, since I haven’t yet updated.

But I can guarantee that orage came installed on the system.

1 Like

I removed it on mine. It seems to have originated from xfce-goodies-meta.

2 Likes

Oh, I made a wrong assumption, sorry.

Two users, counting ricklinux, already removed it… so it’s a green light for me.
Thanks for the feedback too ricklinux

1 Like

No problem :grinning_face_with_smiling_eyes:

There should be no problem removing orage. In the rare case that a problem arises, feel free to ask here. :v:

1 Like

Thanks :slight_smile: removed with a simple yay -R orage, no more messages about it

1 Like

seems xfce4 upgrade is reaching the repo
## xfce4-session 4.16.0-1

2 Likes

someone find any info about orage is not developed anymore?

https://archlinux.org/packages/extra/x86_64/orage/

https://security.archlinux.org/package/orage

Edit:It seems there is a git version. @FredBezies?

https://aur.archlinux.org/packages/orage-git/

1 Like

It is strange that there isn’t a removal request for it. It was available on the mirror I am using a few hours ago.

1 Like

Normally something removed from the repos would be dropped to the AUR, so this also confirms that orage has been entirely discontinued by upstream.

paru orage calen
1 aur/orage-4.10 4.10.0-2 [+0 ~0.00]
    A simple calendar application with reminders for Xfce
2 aur/orage-git 4.12.1.r319.g11aa2e5f-1 [+0 ~0.00] [Orphaned]
    A simple calendar application with reminders for Xfce

I can see an aur package.

1 Like

You are right it is there and also the git version.

https://aur.archlinux.org/packages/orage-4.10/

https://aur.archlinux.org/packages/orage-git/

Updated to 4.16 :slight_smile:

[marcelo@linux ~]$ neofetch | grep DE
                                           DE: Xfce 4.16 

But, found a little glitch in thunar:

image

Little white box top right

Yes there is a post about here:

1 Like

orage-4.12.1.tar.bz2 10-Apr-2015
that`s the latest source … it seems simple not developed anymore… very sad it is a good little cal-app

3 Likes